View Javadoc

    1   /**
    2    *
    3    * Copyright 2003-2004 The Apache Software Foundation
    4    *
    5    *  Licensed under the Apache License, Version 2.0 (the "License");
    6    *  you may not use this file except in compliance with the License.
    7    *  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   *  Unless required by applicable law or agreed to in writing, software
    12   *  distributed under the License is distributed on an "AS IS" BASIS,
    13   *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   *  See the License for the specific language governing permissions and
    15   *  limitations under the License.
    16   */
    17
    18  //
    19  // This source code implements specifications defined by the Java
    20  // Community Process. In order to remain compliant with the specification
    21  // DO NOT add / change / or delete method signatures!
    22  //
    23
    24  package javax.servlet.jsp;
    25
    26  import java.io.IOException;
    27
    28  import javax.servlet.ServletException;
    29  import javax.servlet.http.HttpServletRequest;
    30  import javax.servlet.http.HttpServletResponse;
    31
    32  /**
    33   * The HttpJspPage interface describes the interaction that a JSP Page
    34   * Implementation Class must satisfy when using the HTTP protocol.
    35   *
    36   * <p>
    37   * The behaviour is identical to that of the JspPage, except for the signature
    38   * of the _jspService method, which is now expressible in the Java type
    39   * system and included explicitly in the interface.
    40   *
    41   * @see JspPage
    42   */
    43
    44  public interface HttpJspPage extends JspPage {
    45
    46      /** The _jspService()method corresponds to the body of the JSP page. This
    47       * method is defined automatically by the JSP container and should never
    48       * be defined by the JSP page author.
    49       * <p>
    50       * If a superclass is specified using the extends attribute, that
    51       * superclass may choose to perform some actions in its service() method
    52       * before or after calling the _jspService() method.  See using the extends
    53       * attribute in the JSP_Engine chapter of the JSP specification.
    54       *
    55       * @param request Provides client request information to the JSP.
    56       * @param response Assists the JSP in sending a response to the client.
    57       * @throws ServletException Thrown if an error occurred during the
    58       *     processing of the JSP and that the container should take
    59       *     appropriate action to clean up the request.
    60       * @throws IOException Thrown if an error occurred while writing the
    61       *     response for this page.
    62       */
    63      public void _jspService(HttpServletRequest request,
    64                              HttpServletResponse response)
    65         throws ServletException, IOException;
    66  }